From 2ef8d5650a33600db0114e28586947c3f4af935e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Sun, 19 Aug 2012 15:07:34 +0200
Subject: [PATCH 1/4] contrib/postproc: fixed compilation failure due to
 missing libavutil headers

---
 contrib/src/postproc/postproc-avutil.patch |   12 ++++++++++++
 contrib/src/postproc/rules.mak             |    1 +
 2 files changed, 13 insertions(+)
 create mode 100644 contrib/src/postproc/postproc-avutil.patch

diff --git a/contrib/src/postproc/postproc-avutil.patch b/contrib/src/postproc/postproc-avutil.patch
new file mode 100644
index 0000000..449aa6b
--- /dev/null
+++ b/contrib/src/postproc/postproc-avutil.patch
@@ -0,0 +1,12 @@
+diff -ru postproc/libpostproc/postprocess.c postproc-fixed/libpostproc/postprocess.c
+--- postproc/libpostproc/postprocess.c	2012-02-17 20:04:48.000000000 +0100
++++ postproc-fixed/libpostproc/postprocess.c	2012-08-19 15:04:27.000000000 +0200
+@@ -85,6 +85,8 @@
+ //#undef HAVE_MMX
+ //#undef ARCH_X86
+ //#define DEBUG_BRIGHTNESS
++#include <libavutil/mem.h>
++#include <libavutil/common.h>
+ #include "postprocess.h"
+ #include "postprocess_internal.h"
+ #include <libavutil/avstring.h>
diff --git a/contrib/src/postproc/rules.mak b/contrib/src/postproc/rules.mak
index b4d1337..7b3572d 100644
--- a/contrib/src/postproc/rules.mak
+++ b/contrib/src/postproc/rules.mak
@@ -96,6 +96,7 @@ postproc: postproc-$(POSTPROC_VERSION).tar.gz .sum-postproc
 ifdef HAVE_WIN32
 	sed -i "s/std=c99/std=gnu99/" $@-$(POSTPROC_VERSION)/configure
 endif
+	$(APPLY) $(SRC)/postproc/postproc-avutil.patch
 	$(MOVE)
 
 .postproc: postproc
-- 
1.7.10.2 (Apple Git-33)

